One Comment

  1. Swicher

    Usando Firefox 35.0 Firefox 35.0 en GNU/Linux GNU/Linux

    También se puede aplicar la lógica inversa, o sea, enmascarar los programas que pertenezcan a un overlay determinado para que solo se puedan instalar desde Portage. Así por ejemplo, para actualizar a la ultima versión inestable de Firefox (la 35) y evitar que instale la versión 36 beta (del overlay ROKO__) basta con agregar lo siguiente en /etc/portage/package.mask
    www-client/firefox::ROKO__
    Curiosamente también tengo los overlays de Pentoo y Sabayon (entre otros, pero estos pertenecen a forks de Gentoo) y hasta el momento no ha habido problemas con que se actualicen paquetes desde los mismos en lugar de usar el árbol oficial (supongo que es por que siempre se instalan paquetes estables). Aunque si llega a pasar, siempre puedo listar los paquetes instalados desde los overlays con:

    #Requiere tener Gentoolkit instalado
    equery list -F '$cp::$repo' '*' | grep -v -i '::gentoo$'

    Y luego buscar en los logs por el que se haya instalado recientemente.

Deja un comentario

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *